
Name:       ksmoothdock
Summary:    KDE Applications Docker
Version: 	6.2
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        https://dangvd.github.io/ksmoothdock/
Source0:    %name-%{version}.tar.xz
#----------------------------------------------
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5globalaccel-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64taglib-devel
BuildRequires: phonon4qt5-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
#----------------------------------------------

%description
KSmoothDock is a cool desktop panel with parabolic zooming effect for KDE Plasma  5. While visually it is inspired by Mac OS X's Dock, it aims to follow the traditional Linux model of desktop panel with the application menu, launchers, the pager, the taskbar and the system tray. Currently KSmoothDock only supports the application menu, launchers and the pager, and is meant to use in conjunction with a Plasma 5 panel that provides the taskbar and the system tray.

KSmoothDock is written in C++ and depends on Qt 5 and KDE Frameworks 5


%files
%doc README
%{_bindir}/ksmoothdock
%{_datadir}/applications/ksd.ksmoothdock.desktop
%{_libdir}/libksmoothdock_lib.so
#------------------------------------------------------------------------------

%prep
%setup -q

%build
cd src
%cmake_kf5

%make

%install
rm -rf %buildroot
cd src
%make_install -C build

mkdir -p %buildroot/%{_libdir}
install -m 0755 build/libksmoothdock_lib.so %buildroot/%{_libdir}/libksmoothdock_lib.so

desktop-file-install --vendor="" \
 --remove-category='Utility' \
 --add-category='Monitor' \
 %{buildroot}%{_datadir}/applications/*.desktop



%changelog
* Fri Jul 09 2021 tex - 6.2-1pclos2021
- new version

* Tue Jul 02 2019 tex - 5.12-1pclos2019
- new version
